[Bug 203520] Review Request: evolution-brutus

bugzilla at redhat.com bugzilla at redhat.com
Fri Oct 27 17:13:39 UTC 2006


Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: Review Request: evolution-brutus
Alias: evolution-brutus

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=203520





------- Additional Comments From mtasaka at ioa.s.u-tokyo.ac.jp  2006-10-27 13:13 EST -------
Well, first formal review of this.

1. http://fedoraproject.org/wiki/Packaging/Guidelines :

* Use rpmlint
  rpmlint is not silent.

E: evolution-brutus (for source)
   hardcoded-library-path in 
      /usr/lib/evolution-data-server-1.2/camel-providers/*
   - You should use %{_libdir}.

W: evolution-brutus undefined-non-weak-symbol 
     /usr/lib/libBrutusd-1.0.so.1.0.0 TC_BRUTUS_BrutusTC_struct
W: evolution-brutus undefined-non-weak-symbol 
     /usr/lib/libBrutusd-1.0.so.1.0.0 TC_BRUTUS_IMAPISession_struct
   - undefined non-weak symbols are found. For the case of this
     package, as there is a corresponding .pc file in -devel package,
     this should be fixed.

* BuildRequires:
  - gnome-common
    Well I also cannot understand why gnome-common is needed for
    BuildRequires.
    I tried mockbuild without gnome-common, then it succeeded and
    rpmdiff shows no difference.

* Requires:
  - evolution (for -devel)
    This is not needed because main package requires this.
  - gnome-common (for -devel)
    Well, please recheck if gnome-common is really required for
    -devel package.

* Handling Locale Files:
  - Well, even if we write
------------------------------------------------
for f in %{_bindir}/evolution-* ; do
    evolution_version=${f#%{_bindir}/evolution-}
done
------------------------------------------------
    to avoid evolution version handling, there is another
    handling:
------------------------------------------------
%files -f %{name}-2.8.lang
------------------------------------------------
    This means that this package requires evolution-2.8 to
    rebuild. To avoid this, change like:
------------------------------------------------
for f in %{_bindir}/evolution-* ; do
    evolution_version=${f#%{_bindir}/evolution-}
done
%{find_lang} %{name}-${evolution_version}
for f in %{name}-*.lang ; do
   mv $f %{name}.lang
fi

%files -f %{name}.lang
-------------------------------------------------

* File and Directory Ownership
  - /usr/share/idl (for -devel)
    Well, I found that this is not necessary because
    * this is owned by libbonobo-devel
    * evolution-data-server-devel requires libbonobo-devel
    * -devel requires evolution-data-server-devel

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.

3. Other things I found:
* All pc files in -devel package are broken.
  For example, /usr/lib/pkgconfig/libBrutus-1.0.pc contains:
-------------------------------------------------
idldir=@idldir@
privincludedir=@eds_privincludedir@
-------------------------------------------------
  This is not correct.
  And 
-------------------------------------------------
IDL_INCLUDES=-I ${idldir} -I/usr/include/orbit-2.0 \
    -I/usr/include/glib-2.0 -I/lib/glib-2.0/include
-------------------------------------------------
  This environment is not used and unneeded as Requires: should
  add correct directories to be included.

-- 
Configure bugmail: https://bugzilla.redhat.com/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.




More information about the package-review mailing list